let util = require('../../../../utils/util')
let apiArr = require('../../../../api/partner')
// packages/partner/pages/equipmentStock/equipmentStock.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        equipmentList: []
    },
    getEquipmentStock() {
        let that = this
        let admin = wx.getStorageSync('admin')

        util.postUrl4(apiArr.getEquipmentStock, {
            dealer_id: admin.shop_id
        }, res => {
            res.rows.forEach(item => {
                item.product_icon = item.product_icon.startsWith('http') ? item.product_icon : util.img_url + item.product_icon
            })
            that.setData({
                equipmentList: res.rows
            })
        })
    },
    desc(e){
        console.log(e);
        wx.navigateTo({
          url: '../filterStockInfo/filterStockInfo?id=' + e.currentTarget.dataset.id,
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.getEquipmentStock()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})